package pract03;

import fundamentos.*;

/**
 * Gestion de las comisiones de los vendedores de una tienda
 * 
 * @author  Metodos de Programacion (UC)
 * @version feb-15
 */
public class GestionComisiones {

	/**
	 * Programa principal basado en menu
	 */
	public static void main(String[] args) {
		// opciones del menu
		final int NUEVO_VENDEDOR = 0, NUEVA_VENTA = 1, DATOS_VENDEDOR = 2,
		RANKING_VENDEDOR = 3;

		// variables auxiliares
		String dni;
		Lectura lect;

		// crea la tienda
		// TODO

		// crea la ventana de menu
		Menu menu = new Menu("Comisiones tienda");
		menu.insertaOpcion("Nuevo Vendedor", NUEVO_VENDEDOR);
		menu.insertaOpcion("Nueva venta", NUEVA_VENTA);
		menu.insertaOpcion("Datos Vendedor", DATOS_VENDEDOR);
		menu.insertaOpcion("Ranking vendedor", RANKING_VENDEDOR);
		int opcion;

		// lazo de espera de comandos del usuario
		while(true) {
			opcion = menu.leeOpcion();

			// realiza las acciones dependiendo de la opcion elegida
			switch (opcion) {
			case NUEVO_VENDEDOR:
				lect = new Lectura("Datos Vendedor");
				lect.creaEntrada("Nombre", "");
				lect.creaEntrada("DNI", "");
				lect.esperaYCierra();
				dni = lect.leeString("DNI");
				String nombre = lect.leeString("Nombre");
				
				// TODO anhade el vendedor a la tienda
				break;

			case NUEVA_VENTA:
				lect = new Lectura("Datos Venta");
				lect.creaEntrada("DNI Vendedor", "");
				lect.creaEntrada("Importe", "");
				lect.esperaYCierra();
				dni = lect.leeString("DNI Vendedor");
				
				// TODO anhade la venta al vendedor
				break;

			case DATOS_VENDEDOR:
				lect = new Lectura("DNI Vendedor");
				lect.creaEntrada("DNI", "");
				lect.esperaYCierra();
				dni = lect.leeString("DNI");
				
				// TODO busca el vendedor y muestra sus datos
				break;

			case RANKING_VENDEDOR:
				lect = new Lectura("DNI Vendedor");
				lect.creaEntrada("DNI", "");
				lect.esperaYCierra();
				dni = lect.leeString("DNI");
				
				// TODO muestra la posicion en el ranking del vendedor
				break;
			}
		}
	}

	/**
	 * Metodo auxiliar que muestra un ventana de mensaje
	 * @param titulo titulo de la ventana
	 * @param txt texto contenido en la ventana
	 */
	private static void mensaje(String titulo, String txt) {
		Mensaje msj = new Mensaje(titulo);
		msj.escribe(txt);
	}

}
